Summary: Versatile Commodore Emulator
Name: vice
Version: 1.14
Release: 0.fdr.4.2
Epoch: 0
License: GPL
Group: Applications/Emulators
URL: http://www.viceteam.org/
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root
Source0: ftp://ftp.funet.fi/pub/cbm/crossplatform/emulators/VICE/%{name}-%{version}.tar.gz
Patch0: vice-1.14-mkstemp.patch
BuildRequires: flex, gettext, readline-devel
BuildRequires: gnome-libs-devel >= 1:1.2
BuildRequires: SDL-devel >= 0:1.2, libpng-devel, zlib-devel
BuildRequires: /usr/X11R6/bin/bdftopcf, /usr/X11R6/bin/mkfontdir
Requires(post): /sbin/install-info
Requires(postun): /sbin/install-info

%description
VICE is a Versatile Commodore Emulator. The current version emulates the C64, 
the C128, the VIC20, all the PET models (except the SuperPET 9000, which is out
of line anyway) and the CBM-II (aka C610).

%prep
%setup -q
%patch0 -p1 -b .mkstemp

%build
%configure --enable-gnomeui --enable-fullscreen --with-sdl 
make %{?_smp_mflags}

%install
rm -rf %{buildroot}
%makeinstall docdir=%{buildroot}/%{_docdir}/%{name}-%{version}
%find_lang %{name}
rm -f %{buildroot}/%{_infodir}/dir

%clean
rm -rf %{buildroot}

%post
/sbin/install-info --info-dir=%{_infodir} %{_infodir}/vice.info.gz 2> /dev/null || :

%preun
if [ "$1" = 0 ]; then
	/sbin/install-info --delete --info-dir=%{_infodir} %{_infodir}/vice.info.gz 2> /dev/null || :
fi

%files -f %{name}.lang
%defattr (-,root,root)
%{_bindir}/vsid
%{_bindir}/x64
%{_bindir}/x128
%{_bindir}/xvic
%{_bindir}/xpet
%{_bindir}/xplus4
%{_bindir}/xcbm2
%{_bindir}/c1541
%{_bindir}/petcat
%dir %{_libdir}/vice
%{_libdir}/vice/*
%{_mandir}/man1/c1541.1*
%{_mandir}/man1/petcat.1*
%{_mandir}/man1/vice.1*
%{_infodir}/vice.info*
%doc FEEDBACK INSTALL README NEWS AUTHORS 

%changelog
* Thu Jun 10 2004 Panu Matilainen <pmatilai@welho.com> 1.14-0.fdr.4
- patch from Michael Schwendt to use mkstemp() instead of tempnam()

* Mon May 31 2004 Panu Matilainen <pmatilai@welho.com> 1.14-0.fdr.3
- use file dependencies for font utils for FC1/FC2 compatibility

* Mon Feb 16 2004 Panu Matilainen <pmatilai@welho.com> 1.14-0.fdr.2
- add buildrequires readline-devel

* Thu Feb 05 2004 Panu Matilainen <pmatilai@welho.com> 1.14-0.fdr.1
- update to 1.14
- update URL 

* Wed Oct 01 2003 Panu Matilainen <pmatilai@welho.com> 1.13-0.fdr.1
- update to 1.13

* Thu Jul 10 2003 Panu Matilainen <pmatilai@welho.com> 1.12-0.fdr.3
- remove unnecessary autoconf call fron prep

* Thu Jul 10 2003 Panu Matilainen <pmatilai@welho.com> 1.12-0.fdr.2
- add missing epoch's to versioned dependencies

* Tue Jul 08 2003 Panu Matilainen <pmatilai@welho.com> 1.12-0.fdr.1
- new upstream version

* Sat Apr 05 2003 Panu Matilainen <pmatilai@welho.com> 1.11-0.fdr.5
- add epoch
- add buildrequires for mkfontdir and bdftopcf

* Wed Mar 26 2003 Panu Matilainen <pmatilai@welho.com> 1.11-0.fdr.4
- doh.. remove extra /info/ from %files and promise never to submit
  package again without testing it :)

* Wed Mar 26 2003 Panu Matilainen <pmatilai@welho.com> 1.11-0.fdr.3
- fix QA issues in #80 / comment 4

* Mon Mar 24 2003 Panu Matilainen <pmatilai@welho.com> 1.11-0.fdr.2
- fix QA issues in #80 / comment 2
- move additional documentation (html etc) from /usr/lib/vice to docdir
- dont include arts support

* Mon Mar 24 2003 Panu Matilainen <pmatilai@welho.com>
- Initial Fedora packaging

